Package org.opengis.cite.iso19142.versioning

# Class VersioningTests

java.lang.Object
org.opengis.cite.iso19142.BaseFixture
org.opengis.cite.iso19142.versioning.VersioningTests

public class VersioningTests extends BaseFixture
Provides test methods that verify the behavior of the IUT with respect to creating and navigating feature versions.

- ## Field Summary

  ### Fields inherited from class org.opengis.cite.iso19142.BaseFixture

  `docBuilder, ETS_PKG, featureInfo, featureTypes, reqEntity, rspEntity, supportedBindings, TNS_PREFIX, wfsClient, wfsMetadata, wfsVersion`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `VersioningTests()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `deletedFeatureIsRetired()`
  [`Test`] Submits a request to delete a feature.
  `void`
  `deleteModifiedFeatures()`
  `void`
  `firstVersionHasNoPredecessor()`
  [`Test`] Submits a request to insert a feature.
  `void`
  `getDataSamplerFromContext(org.testng.ITestContext testContext)`
  `void`
  `replacementVersionHasNoSuccessor()`
  [`Test`] Submits a request to replace a feature version.
  `void`
  `updatedVersionHasSupersededPredecessor()`
  [`Test`] Submits a request to update a feature property (gml:name).
  `void`
  `updateSupersededVersion()`
  [`Test`] Submits a request to update a superseded version (whose state is NOT "valid").

  ### Methods inherited from class org.opengis.cite.iso19142.BaseFixture

  `addAttributesOnTestFailure, allProtocolsAndFeatureTypes, bindingAndAvailFeatureTypeProductSet, extractBodyAsDocument, getFeatureTypes, getInstantiatedFeatureTypes, getProtocolBindings, initBaseFixture, initParser, setWfsClient`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### VersioningTests

    public VersioningTests()

- ## Method Details

  - ### getDataSamplerFromContext

    @BeforeClass public void getDataSamplerFromContext(org.testng.ITestContext testContext)

  - ### deleteModifiedFeatures

    @AfterClass public void deleteModifiedFeatures()

  - ### firstVersionHasNoPredecessor

    public void firstVersionHasNoPredecessor()
    [`Test`] Submits a request to insert a feature. The response is expected to contain a single fes:ResourceId element with `version="1"` and the `previousRid` attribute NOT set. A subsequent query to retrieve the LAST version shall reveal that its state is "valid".

  - ### updatedVersionHasSupersededPredecessor

    public void updatedVersionHasSupersededPredecessor()
    [`Test`] Submits a request to update a feature property (gml:name). The response is expected to contain a single fes:ResourceId element with the `previousRid` attribute set. A subsequent query to retrieve the PREVIOUS version shall reveal that its state is "superseded".

  - ### updateSupersededVersion

    public void updateSupersededVersion()
    [`Test`] Submits a request to update a superseded version (whose state is NOT "valid"). An exception report is expected in response; it must contain the error code `OperationProcessingFailed` and refer to the update handle. TODO: Enable this when expected behavior is clarified.

  - ### replacementVersionHasNoSuccessor

    public void replacementVersionHasNoSuccessor()
    [`Test`] Submits a request to replace a feature version. The response is expected to contain a single fes:ResourceId element with the `previousRid` attribute set. A subsequent query to retrieve the NEXT version shall produce an empty response.

  - ### deletedFeatureIsRetired

    public void deletedFeatureIsRetired()
    [`Test`] Submits a request to delete a feature. The response is expected to report totalDeleted = 1. A subsequent query to retrieve the LAST version shall reveal that its state is "retired".